> For the complete documentation index, see [llms.txt](https://developers.citrusad.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.citrusad.com/integration/reference/create-or-update-a-customer.md).

# Create or update a customer

{% hint style="info" %}
Epsilon Retail Media's documentation is now centralized with our knowledgebase!

For up to date guides, please view [this page](https://help.citrusad.com/retail-media-interface/integration/integration/create-or-update-a-customer) in the new Integration APIs space of our documentation.
{% endhint %}

{% hint style="info" %}
Looking to link customers to segments?

Use the manage-segments API under the /customers endpoint.
{% endhint %}

## POST /customers

> Create or update a customer

```json
{"openapi":"3.1.0","info":{"title":"integration","version":"1"},"servers":[{"url":"https://integration-BASE-URL.citrusad.com/v1/"}],"security":[{"sec0":[]}],"components":{"securitySchemes":{"sec0":{"in":"header","name":"Authorization","type":"apiKey"}}},"paths":{"/customers":{"post":{"deprecated":false,"description":"","operationId":"create-or-update-a-customer","requestBody":{"content":{"application/json":{"schema":{"properties":{"customers":{"items":{"properties":{"gender":{"description":"Deprecated. Legacy field.Accepted values:      Male, Female, Other","type":"string"},"id":{"description":"The unique ID of the customer in your system.","type":"string"},"postcode":{"description":"Deprecated. Legacy field.","type":"string"},"suburb":{"description":"Deprecated. Legacy field.","type":"string"},"targetingData":{"description":"Deprecated. Legacy field.","items":{"properties":{"key":{"default":"value","description":"Arbitrary key:value pairing set by the retailer.","type":"string"}},"type":"object"},"type":"array"},"teamId":{"description":"If a teamId is not provided, then the teamId will fall back onto the teamId provided by the API key.","type":"string"},"yearOfBirth":{"description":"Deprecated. Legacy field.","format":"int32","type":"integer"}},"required":["id"],"type":"object"},"type":"array"}},"type":"object"}}}},"responses":{"200":{"content":{"application/json":{}},"description":"200"},"400":{"content":{"application/json":{"schema":{"properties":{"additionalInfo":{"items":{"properties":{"code":{"type":"string"},"message":{"type":"string"}},"type":"object"},"type":"array"},"message":{"type":"string"}},"type":"object"}}},"description":"400"},"401":{"content":{"text/plain":{}},"description":"401"},"403":{"content":{"text/plain":{}},"description":"403"},"404":{"content":{"text/plain":{}},"description":"404"},"429":{"content":{"text/plain":{}},"description":"429"},"500":{"content":{"text/plain":{}},"description":"500"},"502":{"content":{"text/plain":{}},"description":"502"},"503":{"content":{"text/plain":{}},"description":"503"},"504":{"content":{"text/plain":{}},"description":"504"}},"summary":"Create or update a customer"}}}}
```
